Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package doc
  Definition Classes
    nsc
-  package model
  Definition Classes
    doc
-  package diagram
  Definition Classes
    model
-  trait DiagramDirectiveParser extends AnyRef

  This trait takes care of parsing @{inheritance, content}Diagram annotations

  This trait takes care of parsing @{inheritance, content}Diagram annotations

  Definition Classes
    diagram
- AnnotationDiagramFilter
- DiagramFilter
- FullDiagram
- NoDiagramAtAll

o

scala.tools.nsc.doc.model.diagram.DiagramDirectiveParser

# FullDiagram

###

#### object FullDiagram extends (DiagramDirectiveParser.this)#DiagramFilter with Product with Serializable

Show the entire diagram, no filtering

Source
  DiagramDirectiveParser.scala

Linear Supertypes
java.io.Serializable, Product, Equals, (DiagramDirectiveParser.this)#DiagramFilter, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. FullDiagram
2. Serializable
3. Product
4. Equals
5. DiagramFilter
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  final def getClass(): java.lang.Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  val hideDiagram: Boolean

    A flag to hide the diagram completely

    A flag to hide the diagram completely

    Definition Classes
      FullDiagram → DiagramFilter
11.  def hideEdge(clazz1: Node, clazz2: Node): Boolean

    Hide an edge from the diagram

    Hide an edge from the diagram

    Definition Classes
      FullDiagram → DiagramFilter
12.  val hideIncomingImplicits: Boolean

    Hide incoming implicit conversions (for type hierarchy diagrams)

    Hide incoming implicit conversions (for type hierarchy diagrams)

    Definition Classes
      FullDiagram → DiagramFilter
13.  val hideInheritedNodes: Boolean

    Show related classes from other objects/traits/packages (for content diagrams)

    Show related classes from other objects/traits/packages (for content diagrams)

    Definition Classes
      FullDiagram → DiagramFilter
14.  def hideNode(clazz: Node): Boolean

    Hide a node from the diagram

    Hide a node from the diagram

    Definition Classes
      FullDiagram → DiagramFilter
15.  val hideOutgoingImplicits: Boolean

    Hide outgoing implicit conversions (for type hierarchy diagrams)

    Hide outgoing implicit conversions (for type hierarchy diagrams)

    Definition Classes
      FullDiagram → DiagramFilter
16.  val hideSubclasses: Boolean

    Hide subclasses (for type hierarchy diagrams)

    Hide subclasses (for type hierarchy diagrams)

    Definition Classes
      FullDiagram → DiagramFilter
17.  val hideSuperclasses: Boolean

    Hide superclasses (for type hierarchy diagrams)

    Hide superclasses (for type hierarchy diagrams)

    Definition Classes
      FullDiagram → DiagramFilter
18.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
19.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  def productElementName(n: Int): String
    Definition Classes
      Product
23.  def productElementNames: Iterator[String]
    Definition Classes
      Product
24.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
25.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
26.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
27.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from (DiagramDirectiveParser.this)#DiagramFilter

### Inherited from AnyRef

### Inherited from Any

### Ungrouped